> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Employee Token Distributions

> Returns token distribution elections for the given employees and token types.

Required scope: `payroll:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/get-all-employee-token-distributions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-all-employee-token-distributions:
    post:
      operationId: getAllEmployeeTokenDistributions
      summary: Get All Employee Token Distributions
      x-toku-required-scope: payroll:read
      description: >-
        Returns token distribution elections for the given employees and token
        types.


        Required scope: `payroll:read`. It also needs `banking:read`,
        `compensation:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAllEmployeeTokenDistributionsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllEmployeeTokenDistributionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllEmployeeTokenDistributionsRequest:
      type: object
      properties:
        roleInOrgIDs:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
          minItems: 1
          maxItems: 10000
        tokenTypeIDs:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
          minItems: 1
          maxItems: 10000
      required:
        - roleInOrgIDs
        - tokenTypeIDs
    GetAllEmployeeTokenDistributionsResponse:
      type: array
      items: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
